package com.bcxin.ins.service.order;


import com.bcxin.ins.entity.policy_special.StManagerDetail;
import com.bcxin.ins.vo.ManagerDetailVo;
import com.bcxin.mybatisplus.service.IService;

import java.util.List;

public interface InsManagerDetailAPIService extends IService<StManagerDetail> {
	
	public List<StManagerDetail> selectInsManagerDetailByInsCreditManagement(Long oid);
	
	public void setManagerDetailByManagerDetailVo(List<ManagerDetailVo> voList, Long credit_management_id);
	
	public void accordingToTheManagerDetailVoSetUpInsManagerDetail(ManagerDetailVo vo, Long credit_management_id);
	
	public List<ManagerDetailVo> getManagerDetailVoListByInsManagerDetailList(List<StManagerDetail> mdList);
	
	public ManagerDetailVo accordingToInsManagerDetailIntoManagerDetailVo(StManagerDetail md);
}
